MxServerQuery (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.jmx.MxServerQuery class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MxServerQuery

    java.lang.Object
      org.hyperic.hq.product.jmx.MxQuery
          org.hyperic.hq.product.jmx.MxServerQuery

    public class MxServerQuery

extends MxQuery

Field Summary

Fields inherited from class org.hyperic.hq.product.jmx.MxQuery
`EMPTY_PROPERTIES, objectName, PROP_ATTRIBUTE_NAME, PROP_MBEAN_CLASS, PROP_OBJECT_NAME, PROP_OBJECT_NAME_FILTER`

Constructor Summary
`MxServerQuery(ServerDetector detector)`

Method Summary
`void` | `findServices(javax.management.MBeanServerConnection mServer)`
`java.util.Properties` | `getControlConfig()`
`java.lang.String` | `getIdentifier()`
`java.lang.String` | `getInstallPath()`
`java.lang.String` | `getQualifiedName()`
`java.lang.String` | `getResourceType()`
`java.util.List` | `getServiceQueries()`
`java.lang.String` | `getVersion()`
`void` | `setInstallPath(java.lang.String installPath)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class org.hyperic.hq.product.jmx.MxQuery
`getAttribute, getAttribute, getAttributeNames, getAttributes, getAttributes, getCustomProperties, getName, getObjectName, getParent, getResourceConfig, getServerDetector, getURL, hasControl, initialize, setAttribute, setName, setServerDetector, setURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MxServerQuery

    public MxServerQuery(ServerDetector detector)

Method Detail

### getServiceQueries

    public java.util.List getServiceQueries()

### findServices

    public void findServices(javax.management.MBeanServerConnection mServer)
                      throws PluginException

  Throws:
    `PluginException`

### getQualifiedName

    public java.lang.String getQualifiedName()

  Specified by:
    `getQualifiedName` in class `MxQuery`

### getResourceType

    public java.lang.String getResourceType()

  Specified by:
    `getResourceType` in class `MxQuery`

### getIdentifier

    public java.lang.String getIdentifier()

  Specified by:
    `getIdentifier` in class `MxQuery`

### getControlConfig

    public java.util.Properties getControlConfig()

  Overrides:
    `getControlConfig` in class `MxQuery`

### getInstallPath

    public java.lang.String getInstallPath()

### setInstallPath

    public void setInstallPath(java.lang.String installPath)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.